var MODULO = "Cuestionarios";

var KEY_BORRAR = "KEY_BORRAR";



function ponAccion(key) {

    if (key == KEY_BORRAR) {

        if (confirm(msgBorrar)) {

            document.forms[0].accion.value = key;

            submmitFormulario(key);

        } else {

            return;

        }

    } else {

        document.forms[0].accion.value = key;

        submmitFormulario(key);

    }

}



function submmitFormulario(key) {

    document.forms[0].submit();

}



function onLoadPage(){

	//poner a Disabled los botones Modificar/Consultar si no hay registros

	if(document.forms[0].idAyuntamiento!=null) {

		document.forms[0].modificar.disabled=false;

		document.forms[0].consultar.disabled=false;

		document.forms[0].borrar.disabled=false;

	} else {

		document.forms[0].modificar.disabled=true;

		document.forms[0].consultar.disabled=true;

		document.forms[0].borrar.disabled=true;

	}

	

	//seleccionar el primer registro

	if((document.forms[0].idAyuntamiento!=null)&& (document.forms[0].idAyuntamiento[0]!=null) ){

		document.forms[0].idAyuntamiento[0].checked=true;

	}

}



//Se carga el combo de municipios a traves del Launcher

function cargarMunMuniLauncher(){

	var where = "provincia_id = "+document.forms[0].elements["filtro(codProvincia)"].value;		

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "filtro(codMunicipio)", where, "false", true, "ds_o", "ASC");

}